function [ prc ] = lognorm_trunc_inv( dist )
global dt_l dt_u dt_m dt_sig
%Truncated Lognorm Distribution
%   Calculates the Lognorm distribution for values between dt_l and dt_u 

cdf2 = cdf('lognorm', dt_u , dt_m, dt_sig);
cdf1 = cdf('lognorm', dt_l , dt_m, dt_sig);
pp = cdf('lognorm', dist,  dt_m, dt_sig);
prc = (pp - cdf1) / (cdf2 - cdf1);

end

